Create verifier application
/v2/presentations/applicationsCreates an mDocs online verifier application.
Once created, application instances can be registered and interact with the MATTR VII platform (for example, to verify credential presentations).
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
Verifier application payload
TypeScript Definitions
Use the request body type in TypeScript.
Configuration for an mDocs online verifier application.
Configuration for an mDocs online verifier web application. Either OID4VP or Digital Credentials API configuration must be provided.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/presentations/applications" \ -H "Content-Type: application/json" \ -d '{ "name": "Example Verifier Web Application", "type": "web", "domain": "example-verifier-web-application.com" }'{ "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "name": "Example Verifier Web Application", "type": "web", "domain": "example-verifier-web-application.com", "additionalDomains": [ "example-verifier-web-application.com" ], "openid4vpConfiguration": { "supportedModes": "all", "redirectUris": [ "https://example-verifier-web-application.com/presentation/callback" ], "display": { "displayMode": "full", "logoImage": { "url": "https://example-logo-image-url.com", "altText": "Logo image" }, "headerText": "Share your information.", "bodyText": "Please scan the QR code to the right to provide information required for this interaction.", "privacyPolicyUrl": "https://example-privacy-policy.com", "primaryColorHex": "#FFFFFF", "privacyPolicyLinkText": "Read our privacy policy", "qrCodeInstructions": "Scan this QR code with your mobile wallet app", "awaitingPresentationText": "QR scanned, waiting for your information" } }, "dcApiConfiguration": { "supportedBrowserPlatforms": { "desktop": true, "mobile": true } }, "resultAvailableInFrontChannel": true}How would you rate this page?